Subject: Re: very minor 405GP and 405GPr PCI difference

From: "David Müller (ELSOFT AG)" <[email-masked]>
Date: Thu, 03 Oct 2002 10:28:25 +0200

David Gibson wrote:
[stuff deleted]

> Fair enough.  I'm just trying to come up with the simplest approach
> that still provides the flexibility we need.  Based on the evidence
> immediately available, what I posted seemed like it.  How about you
> tell me something about the non-standard PCI mappings, so I can come
> up with something better.
>

Ok, here is the mapping i'm currently using . For the E000'0000 -
E0ff'ffff area i have to program PMM1 with "non-standard" values.

	/*  PCI mapping:
         **
         **  PLB addr                    PCI memory addr
         **  ---------------------       ---------------------
         **  0000'0000 - 7fff'ffff <---  0000'0000 - 7fff'ffff
         **  8000'0000 - Bfff'ffff --->  8000'0000 - Bfff'ffff
	**  E000'0000 - E0ff'ffff --->  0000'0000 - 00ff'ffff
         **
         **  PLB addr                    PCI io addr
         **  ---------------------       ---------------------
         **  e800'0000 - e800'ffff --->  0000'0000 - 0001'0000
         **
         */

I'm also thinking about splitting the 8000'0000 - Bfff'ffff area into a
prefetchable and a non-prefectable one, so i will be urged to programm
PMM2 as well.

Dave

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/